com.rscja.team.qcom.rs232utils

## Class UHFProtocolParseUtils_qcom

- java.lang.Object
- - com.rscja.team.qcom.rs232utils.UHFProtocolParseUtils_qcom

-     public class UHFProtocolParseUtils_qcom
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `UHFProtocolParseUtils_qcom.CMDInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFProtocolParseUtils_qcom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanData()`
    `UHFProtocolParseUtils_qcom.CMDInfo` | `getCmd(int cmd, int controlWord)`
    `java.util.List<UHFProtocolParseUtils_qcom.CMDInfo>` | `getCmdList()`
    `java.util.List<UHFProtocolParseUtils_qcom.CMDInfo>` | `getCmdList(int cmd)`
    `java.util.List<UHFProtocolParseUtils_qcom.CMDInfo>` | `getCmdList(int cmd, int controlWord)`
    `void` | `parseData(byte[] inDataBuf)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFProtocolParseUtils_qcom

          public UHFProtocolParseUtils_qcom()

  - ### Method Detail

    - #### cleanData

          public void cleanData()

    - #### getCmdList

          public java.util.List<UHFProtocolParseUtils_qcom.CMDInfo> getCmdList()

    - #### getCmd

          public UHFProtocolParseUtils_qcom.CMDInfo getCmd(int cmd,
                                                           int controlWord)

    - #### getCmdList

          public java.util.List<UHFProtocolParseUtils_qcom.CMDInfo> getCmdList(int cmd)

    - #### getCmdList

          public java.util.List<UHFProtocolParseUtils_qcom.CMDInfo> getCmdList(int cmd,
                                                                               int controlWord)

    - #### parseData

          public void parseData(byte[] inDataBuf)